Сайт | Скачать | Видео | Wiki

Автор Тема: новичок и компиляция  (Прочитано 33428 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн knss

  • Пользователь
  • **
  • Сообщений: 28
  • Репутация: +0/-0
Re:новичок и компиляция
« Ответ #60 : 18 Январь 2013, 11:56:00 »
Отвечаю ваш на вопрос. Речь не о том, что данные действия не требуют сложных навыков или наоборот.. речь шла о целесообразности этих простых действий. О причинах которых я писал выше. Так как версия Оси, для которой была скомпилированна Musescore-1.0-lucid525.sfs, отличается от моей - из-за чего может возникнуть несовместимость программы или её компонентов. Соотвественно я об этом и спросил.

Можно ли доустановить эти недостающие libc 2.11, в мою OS Wary, чтоб заработала MuseScore? Или же для Wary лучше специально компилировать MuseScore с исходников?
« Последнее редактирование: 18 Январь 2013, 14:09:53 от knss »

Оффлайн valentin

  • Ветеран
  • *****
  • Сообщений: 562
  • Репутация: +20/-0
Re:новичок и компиляция
« Ответ #61 : 18 Январь 2013, 13:12:22 »
Я извиняюсь за оффтоп, но чем вызван выбор вами именно этой ОС ? У вас старая/слабая машинка?  Просто я весной прошлого года выбирал экспериментально из разных ОС , так чтобы запустить Firefox-10, работающий на другой ОС,  на Warry пришлось доставить 4 либы.
« Последнее редактирование: 18 Январь 2013, 13:39:46 от valentin »
Система:  Athlon XP 2500+  512RAM  Radeon9600

Оффлайн knss

  • Пользователь
  • **
  • Сообщений: 28
  • Репутация: +0/-0
Re:новичок и компиляция
« Ответ #62 : 18 Январь 2013, 14:23:19 »
чем вызван выбор вами именно этой ОС
Так же как и Вы - выбирал эксперементально из разных ОС, и остановился на ОС Wary. Которая лучше других ОС показала себя на моем Р-2. ОС Jeans тоже прекрасно справляеться.. но не удалось так-ки подружить её с модемами (E1550 и SE K750i). А возможность выхода в Инет, без этого никак.
« Последнее редактирование: 18 Январь 2013, 14:25:11 от knss »

Оффлайн antoXa

  • Пользователь
  • **
  • Сообщений: 52
  • Репутация: +3/-0
Re:новичок и компиляция
« Ответ #63 : 19 Январь 2013, 00:57:32 »
Или же для Wary лучше специально компилировать MuseScore с исходников?
Если не подходят готовые пакеты тогда лучше из исходников,  например, вот так http://docs.puppyrus.org/tip/pet-installation-compilation?s[]=new2dir
по ходу "пьесы" может оказаться что у вас не хватает либ, тогда есть два пути:
1) скомпилить  либы (.src ищите сами)
2) установить пакеты с либами (например многие, но не все, можно найти на http://pkgs.org )
P.S. Вам выше писали, но я повторю:
Для каждой версии паппи свой devx.
Для Вашей Wary нужен http://ftp.nluug.nl/pub/os/Linux/distr/quirky/wary-5.1.2/devx_wary_5.1.2.sfs
На дворе 21-й век и хайтек, а шнурки до сих пор приходится завязывать вручную.
I study English in murga-linux.com